Bug 679401 - (qtsoap) Review Request: qtsoap - The Simple Object Access Protocol Qt-based client side library
Review Request: qtsoap - The Simple Object Access Protocol Qt-based client si...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews 680174
  Show dependency treegraph
 
Reported: 2011-02-22 08:50 EST by Jaroslav Reznik
Modified: 2014-10-21 16:12 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-19 05:02:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2011-02-22 08:50:17 EST
Spec URL: http://rezza.hofyland.cz/fedora/packages/qtsoap/qtsoap.spec
SRPM URL: http://rezza.hofyland.cz/fedora/packages/qtsoap/qtsoap-1.7-1.fc14.src.rpm
Description: The SOAP (Simple Object Access Protocol) library uses the XML standard
for describing how to exchange messages. Its primary usage is to invoke web
services and get responses from Qt-based applications.
Comment 1 Jaroslav Reznik 2011-02-22 08:58:18 EST
rpmlint qtsoap.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint ../RPMS/x86_64/qtsoap-*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

This package is needed for herqq (hupnp) which currently bundles own copy of qtsoap (it's intention of qtsoap developers). The final dependency is kio-upnp-ms (to be packaged).

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2857314
Comment 3 Torrie Fischer 2011-05-19 12:05:42 EDT
Not a review, but a brief comment: the library should be installed as 'libqtsoap', not 'libQtSolutions_SOAP', for consistency with the package name. Or vice-versa, calling the package 'qtsolutions-soap'.
Comment 4 Rex Dieter 2011-05-19 13:54:09 EDT
I can review this.
Comment 5 Rex Dieter 2011-05-19 14:04:20 EDT
licensing: OK

scriptlets: OK

naming: OK

URL provided doesn't work for me, please find something better.  Not a blocker.

rpmlint: clean, OK

builds/installs OK

In a perfect world, I'd like to see comment #3 addressed too, wrt keeping library naming more consistent, using something from trever's .spec he showed us earlier today:
%build
echo 'yes' | \
./configure -library

echo "QTSOAP_LIBNAME = \$\$qtLibraryTarget(qtsoap)" >> common.pri
echo "VERSION=%{version}" >> common.pri

qmake-qt4

make %{?_smp_mflags}


But, I'll leave it up to you on how best to resolve that (with some potential upstream poking).  not a blocker.



Otherwise, looks good, APPROVED
Comment 6 Jaroslav Reznik 2011-05-20 10:44:13 EDT
(In reply to comment #5)
> licensing: OK
> 
> scriptlets: OK
> 
> naming: OK
> 
> URL provided doesn't work for me, please find something better.  Not a blocker.
> 
> rpmlint: clean, OK
> 
> builds/installs OK
> 
> In a perfect world, I'd like to see comment #3 addressed too, wrt keeping
> library naming more consistent, using something from trever's .spec he showed
> us earlier today:
> %build
> echo 'yes' | \
> ./configure -library
> 
> echo "QTSOAP_LIBNAME = \$\$qtLibraryTarget(qtsoap)" >> common.pri
> echo "VERSION=%{version}" >> common.pri
> 
> qmake-qt4
> 
> make %{?_smp_mflags}
> 
> 
> But, I'll leave it up to you on how best to resolve that (with some potential
> upstream poking).  not a blocker.
> 
> 
> 
> Otherwise, looks good, APPROVED

There's no upstream anymore but I'll try to incorporate this change into my fedora qt-soap branch.

Thanks for review, good spot guys.
Comment 7 Rex Dieter 2011-07-06 11:19:44 EDT
ping?
Comment 8 Jaroslav Reznik 2011-07-07 04:31:03 EDT
(In reply to comment #7)
> ping?

Rex, I'd like to implement suggested enhancements but I was busy... So probably I should just import it in the current state...
Comment 9 Jaroslav Reznik 2011-07-07 05:22:10 EDT
New Package SCM Request
=======================
Package Name: qtsoap
Short Description: The Simple Object Access Protocol Qt-based client side library
Owners: jreznik rdieter kkofler than
Branches: f14 f15
InitialCC:
Comment 10 Gwyn Ciesla 2011-07-07 06:09:47 EDT
Git done (by process-git-requests).
Comment 11 Jaroslav Reznik 2011-07-14 09:23:46 EDT
Trever, could you share your SPEC file with me (the one Rex is talking about)?
Comment 12 Jaroslav Reznik 2011-07-19 05:02:37 EDT
imported & built for rawhide
Comment 13 Jaroslav Reznik 2012-04-25 06:11:58 EDT
Package Change Request
======================
Package Name: qtsoap
New Branches: el6
Owners: jreznik

Requested by an user.
Comment 14 Gwyn Ciesla 2012-04-25 08:41:11 EDT
Git done (by process-git-requests).
Comment 15 Eric Smith 2014-10-21 15:31:20 EDT
Package Change Request
======================
Package Name: qtsoap
New Branches: el7
Owners: jreznik brouhaha
Comment 16 Gwyn Ciesla 2014-10-21 16:12:16 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.